Subject: [dhcwg] Review request for draft-ietf-dhc-host-gen-id

From: Sheng Jiang <[email-masked]>
Date: Thu, 29 Mar 2012 08:20:13 +0000

Hi, DHCers,

The authors would like to get more reviews for "Prefix Assignment in DHCPv6" (https://datatracker.ietf.org/doc/draft-ietf-dhc-host-gen-id/).

Your comments are really appreciated.

Best regards,

Sheng

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 29 Mar 2012 15:49:09 +0200

Could the value of the prefix-len field of IA_PD of RFC3633 used by this
draft as "IA_PA" be

     larger than 64?

If not it should say so, and eventually encoding on 6bit instead of 8, 
maybe.

Alex

Le 29/03/2012 10:20, Sheng Jiang a écrit :
> Hi, DHCers,
>
> The authors would like to get more reviews for "Prefix Assignment in
> DHCPv6"
> (https://datatracker.ietf.org/doc/draft-ietf-dhc-host-gen-id/).
>
> Sheng _______________________________________________ dhcwg mailing
> list [email-masked] https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Thu, 29 Mar 2012 13:53:06 +0000

> If not it should say so, and eventually encoding on 6bit instead of 8,

DHCP doesn't do bitfields.   However, I think that the width of the prefix is _always_ 64, so maybe we don't need to include a length at all?

---

From: Sheng Jiang <[email-masked]>
Date: Thu, 29 Mar 2012 17:17:49 +0000

Ted,

The prefix is NOT always 64. In principle, it can be 0 to 128, even the one assign to host. You can see this in ND prefix option as well: section 4.6.2 of RFC 2461.

I am afraid this have to be bitfields. Actually, RFC3633 has already done bitfields in DHCPv6, hasn't it?

Alex,

I don't see a reason why cannot it to be greater than 64. Looking at SLAAC, RFC2462, it only defined prefix length + interface id length should be equal to 128. The interface id is typically be 64-bit long, but it is NOT a MUST. In principle, it can be other length as well as far as I understand.

Best regards,

Sheng
________________________________________
From: [email-masked] [[email-masked]] on behalf of Ted Lemon [[email-masked]]
Sent: 29 March 2012 21:53
To: Alexandru Petrescu; [email-masked]
Subject: Re: [dhcwg] Review request for draft-ietf-dhc-host-gen-id

DHCP doesn't do bitfields.   However, I think that the width of the prefix is _always_ 64, so maybe we don't need to include a length at all?
_______________________________________________
dhcwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/dhcwg

---

From: Ted Lemon <[email-masked]>
Date: Thu, 29 Mar 2012 21:45:13 +0000

> The prefix is NOT always 64. In principle, it can be 0 to 128, even the
> one assign to host. You can see this in ND prefix option as well: section
> 4.6.2 of RFC 2461.  I don't see a reason why cannot it to be greater than
> 64. Looking at SLAAC, RFC2462, it only defined prefix length + interface
> id length should be equal to 128. The interface id is typically be 64-bit
> long, but it is NOT a MUST. In principle, it can be other length as well
> as far as I understand.

The text doesn't explicitly prevent it, but in practice there is no other width that is allowed.   The prefix can't really be wider than 64 bits, and can't really be narrower.   I'd be curious to hear if you know of some concrete example to the contrary, but it's my understanding that this is pretty much written in stone.

> I am afraid this have to be bitfields. Actually, RFC3633 has already done bitfields in DHCPv6, hasn't it?

No, prefix length is 8 bits in RFC3633.

---

From: Sheng Jiang <[email-masked]>
Date: Thu, 29 Mar 2012 23:00:46 +0000

<Sheng> The only current instance is the IPv4-embedded IPv6, which is no in use anymore by my understanding. But it is safer to keep prefix length. I heard some story that in other protocol using prefix, they get rid of prefix length, but run into trouble during IESG review. The format of prefix length plus 128-bit prefix field is almost standard. I see no harm to keep it this way.

<Sheng> I misunderstanding the meaning of bitfields. Yes, DHCP options much be times of 8 bits. So, if we are going to keep prefix length. It has to be 8 bits, as it is now.

Sheng

---

From: Ted Lemon <[email-masked]>
Date: Fri, 30 Mar 2012 06:40:25 +0000

>The only current instance is the IPv4-embedded IPv6, which is no in
> use anymore by my understanding. But it is safer to keep prefix length.

Mainly it's not something you'd use in DHCP.   IPv4-embedded is not used as it was originally intended, but there are uses for it.

> I heard some story that in other protocol using prefix, they get rid of
> prefix length, but run into trouble during IESG review. The format of
> prefix length plus 128-bit prefix field is almost standard. I see no harm
> to keep it this way.

This is a fair point.